/****************************************************************/
/*                                                              */
/*      arraydlg.h                                              */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef ARRAYDLG_H
#define ARRAYDLG_H

#include "kplots.h"
#include <qdialog.h>

class KPl;
class KSeparator;
class KColorButton;
class QLabel;
class QLineEdit;
class QSpinBox;
class QCheckBox;

class ArrayDlg : public QDialog {
  Q_OBJECT
  public:
    ArrayDlg(QWidget *parent, KPl *kpa, PARRAYDATA ad);
    ~ArrayDlg();
    void getValues(bool accept);
  private slots:
    void slotSymbol();
    void slotFile();
    void slotApply();
    void slotCancel();
    void slotHelp();
    void slotOK();
  private:
    void setEditArrayControls(PARRAYDATA ad);
    KPl *kp;
    PARRAYDATA ad, adt;
    QLabel *l1, *l2, *l3, *l4, *l5, *l6, *l7, *l8, *l9, *l10;
    QLineEdit *fileName, *efx, *efy;
    QSpinBox *ix, *iy, *ie, *iStart, *n, *symb;
    QCheckBox *err;
    KColorButton *colData;
    KSeparator *hl;
    QPushButton *chFile, *chSymb, *apply, *ok, *cancel, *help;
};

#endif

