/****************************************************************/
/*                                                              */
/*      framedlg.h                                              */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef FRAMEDLG_H
#define FRAMEDLG_H

#include "kplots.h"
#include <qdialog.h>

class KPl;
class KColorButton;
class QGroupBox;
class QLabel;
class QLineEdit;
class QButtonGroup;
class QRadioButton;
class QSpinBox;
class QCheckBox;

class FrameDlg : public QDialog {
  Q_OBJECT
  public:
    FrameDlg(QWidget *parent, KPl *kpa, int it);
    ~FrameDlg();
    void getValues(bool accept);
  private slots:
    void slotEditLetX();
    void slotEditLetY();
    void slotEditLetH();
    void slotAutoScale();
    void slotApply();
    void slotHelp();
    void slotOK();
  private:
    void editText(QLineEdit *ed);
    KPl *kp;
    int item, iex, iey;
    double fx, fy;
    PFRAMEDATA pfd;
    FRAMEDATA fd;
    QGroupBox *g1, *g2, *g3, *g4, *g5, *g6;
    QLabel *l1, *l2, *l3, *l4, *l5, *l6, *l7, *l8, *l9, *l10,
           *l11,*l12, *l13, *l14, *l15, *l16, *l17, *l18, *l19, *l20,
           *l21, *l22, *l23, *l24, *l25, *l26, *l27;
    QLineEdit *ex0, *exl, *ey0, *eyl, *exMin, *exMax, *eyMin, *eyMax,
              *exTic, *eyTic, *eLetX, *eLetY, *eLetH;
    QButtonGroup *bg;
    QRadioButton *FrameOnly, *Tics, *TicsLet, *Grid, *GridLet;
    KColorButton *colFrame, *colGrid;
    QSpinBox *emTicx, *emTicy, *enDigx, *enDigy, *ex, *ey, *eRelSiz;
    QCheckBox *autoNorm;
    QPushButton *autoScale, *editLetX, *editLetY, *editLetH, *apply,
                *ok, *cancel, *help;
};

#endif

