/****************************************************************/
/*                                                              */
/*      itemdlg.h                                               */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef ITEMDLG_H
#define ITEMDLG_H

#include <qdialog.h> 

class QListBox;
class QButtonGroup;
class QRadioButton;
class KPl;

class NewItemDlg : public QDialog {
  Q_OBJECT
  public:
    NewItemDlg(QWidget *parent, int *i);
    ~NewItemDlg();
  private slots:
    void slotOK();
  private:
    QRadioButton *groupButton(const char *text,
                              int x, int y, int w, int h);
    int *ityp;
    QButtonGroup *bg;
    QRadioButton *newFrame, *newArray, *newFun, *newParFun, *newLegend;
    QPushButton *ok;
};

class ItemDlg : public QDialog {
  Q_OBJECT
  public:
    ItemDlg(QWidget *parent);
    ~ItemDlg();
  private slots:
    void slotNew();
    void slotEdit();
    void slotList(int i);
    void slotDelete();
    void slotCopy();
    void slotHelp();
    void slotOK();
  private:
    void updItemList();
    int editItem(int i);
    void copyStru(int id, int is);
    KPl *kp;
    bool change;
    QListBox *itemList;
    QPushButton *newItem, *edit, *del, *copy, *help, *ok;
};

#endif

