/****************************************************************/
/*                                                              */
/*      kplwidget.h                                             */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef KPLWIDGET_H
#define KPLWIDGET_H

#include <qwidget.h>

class KPl;
class QScrollBar;

class KPlView : public QWidget {
  Q_OBJECT
  public:
    KPlView(QWidget *parent, KPl *kpl);
  protected:
    void paintEvent(QPaintEvent *);
    void mouseMoveEvent(QMouseEvent *e);
  private:
    KPl *kp;
};

class KPlWidget : public QWidget {
  Q_OBJECT
  friend KPl;
  public:
    KPlWidget(QWidget *parent);
    ~KPlWidget();
  private slots:
    void slotHorScroll(int);
    void slotVertScroll(int);
  protected:
    void resizeEvent(QResizeEvent *);
  private:
    int sHScrollPos, sVScrollPos;
    KPl *kp;
    QWidget *view;
    QScrollBar *horScrollBar, *vertScrollBar;
};

#endif
